
local addonName, addonData = ...

-- Options - change as required 
-- Display Character Name 
addonData.showToonName = true
-- Display Realm Name if we are also showing Character Name
addonData.showRealmName = addonData.showToonName and true
-- Display Battle Tag instead of Real Name
addonData.showBattleTag = true

-- Our Event Frame
addonData.XRICEvents = CreateFrame("Frame")
addonData.XRICEvents:RegisterEvent("ADDON_LOADED")
addonData.XRICEvents:SetScript("OnEvent",function(self,event,...)

	-- Initialise Our Stuff, fill the class name list and set up the chatframes to use our own addmessage function
	if event == "ADDON_LOADED" and ... == addonName then
		addonData:GenerateClassNameList()

		for i = 1, NUM_CHAT_WINDOWS do
			local chatFrame = _G["ChatFrame" .. i]
			addonData:CustomizeChatFrame(chatFrame)
		end

		if ( not addonData.FCF_OpenTemporaryWindow ) then
			addonData.FCF_OpenTemporaryWindow = FCF_OpenTemporaryWindow
			FCF_OpenTemporaryWindow = function(...)
				local chatFrame = addonData.FCF_OpenTemporaryWindow(...)
				addonData:CustomizeChatFrame(chatFrame)
				return chatFrame
			end
		end
		self:UnregisterEvent("ADDON_LOADED")

		-- Register the events we want to monitor
		self:RegisterEvent("PLAYER_ENTERING_WORLD")		
		self:RegisterEvent("BN_CONNECTED")				
		self:RegisterEvent("BN_FRIEND_ACCOUNT_ONLINE")	
		self:RegisterEvent("BN_FRIEND_TOON_ONLINE")		

	-- When player connects to battle net .. in case it disconnects you 
	elseif event == "BN_CONNECTED" then
			addonData:BuildPresenceTable()

	--	When player first logs in
	elseif event == "PLAYER_ENTERING_WORLD" then
			addonData:BuildPresenceTable()
			self:UnregisterEvent("PLAYER_ENTERING_WORLD")

	-- When a friends account logs in ( not necessarily wow )
	elseif event == "BN_FRIEND_ACCOUNT_ONLINE" then
			addonData:BuildPresenceTable()

	-- When a friends toon logs into wow
	elseif event == "BN_FRIEND_TOON_ONLINE" then
			addonData:BuildPresenceTable()

	end	

end)
